API referenceTasks
Find task
Deprecated
Deprecated — use GET /action-runs/{actionRunId} instead. Find a one-off registry task by id.
GET
/tasks/{taskId}curl -X GET "https://api.corma.io/v1/tasks/-9007199254740991" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
taskIdintegerpathrequired
Response
application/json200
OK
idintegerrequiredIdentifies the run. Pass it as
actionRunIdto fetch this run again.statusenum<string>requiredOne of:ongoingcompletederroredsourceenum<string>requiredWhat triggered the run.
public_apiis a run this API triggered; the log also covers runs triggered from the web app.One of:public_apiweb_appcopilotactionIdentifierstringrequiredThe action that was triggered.
payloadmap of anyrequiredThe payload the run was triggered with.
errorMessagestring | nullrequiredtriggeredByUserEmbed | nullrequiredcreatedAtstring<date-time>requiredThe timestamp of when this resource was created. ISO 8601 format.
updatedAtstring<date-time>requiredThe timestamp of the last update to this resource. ISO 8601 format.
{
"id": -9007199254740991,
"status": "ongoing",
"source": "public_api",
"actionIdentifier": "string",
"payload": {
"key": null
},
"errorMessage": "string",
"triggeredBy": {
"id": "string",
"type": "employee",
"email": "string",
"personalEmail": "string",
"name": "string",
"idpStatus": "active",
"hrStatus": "active",
"jobKey": "string",
"countryCode": "string",
"departmentKey": "string",
"startDate": "2026-01-15T09:30:00Z",
"terminationDate": "2026-01-15T09:30:00Z"
},
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}